Package org.jfree.layouting.renderer.model.table

## Class TableRowInfoStructure

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.TableRowInfoStructure

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class TableRowInfoStructure
      extends java.lang.Object
      implements java.lang.Cloneable

  Creation-Date: 10.09.2006, 20:01:18
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRowInfoStructure​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCell​(TableCell cell)` |
    `java.lang.Object` | `clone​()` |
    `TableCell` | `getCellAt​(int col)` |
    `int` | `getCellCount​()` |
    `int` | `getRowNumber​()` |
    `boolean` | `isValidationDone​()` |
    `void` | `replaceCell​(int pos, RemovedCell cell)` |
    `void` | `setRowNumber​(int rowNumber)` |
    `void` | `setValidationDone​(boolean validationDone)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableRowInfoStructure

          public TableRowInfoStructure​()

  - ### Method Detail

    - #### addCell

          public void addCell​(TableCell cell)

    - #### getCellCount

          public int getCellCount​()

    - #### getCellAt

          public TableCell getCellAt​(int col)

    - #### isValidationDone

          public boolean isValidationDone​()

    - #### setValidationDone

          public void setValidationDone​(boolean validationDone)

    - #### getRowNumber

          public int getRowNumber​()

    - #### setRowNumber

          public void setRowNumber​(int rowNumber)

    - #### replaceCell

          public void replaceCell​(int pos,
                                  RemovedCell cell)

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`